import State from './State';
import { StateChanger } from './Interfaces';
export default class StateChangerManager {
    private stateChangers;
    registerStateChanger(stateChanger: StateChanger, currentState: State): State;
    unregisterStateChanger(stateChanger: StateChanger): void;
    checkStateKey(currentState: State, stateKey: string, stateChangerName: string): void;
    registeredStateChangers: Array<string>;
}
