import { Subscriber } from './Interfaces';
import State from './State';
export default class SubscriberManager {
    private nextSubscriberId;
    private subscribers;
    registerSubscriber(subscriber: Subscriber, currentState: State, notifyOnRegister: boolean): number;
    unregisterSubscriber(subscriberId: number): void;
    notifyAllSubscribers(state: State): void;
    private updateMappings(subscriber, state);
    subscribersCount: number;
}
